exchTest {copula} | R Documentation

## Test of Exchangeability for a Bivariate Copula

### Description

Test for assessing the exchangeability of the underlying bivariate copula based on the empirical copula. The test statistics are defined in the first two references. Approximate p-values for the test statistics are obtained by means of a multiplier technique if there are no ties in the component series of the bivariate data, or by means of an appropriate bootstrap otherwise.

### Usage

    exchTest(x, N = 1000, ties = NA, m = 0)

### Arguments

`x` | a data matrix that will be transformed to pseudo-observations.
`N` | number of multiplier or boostrap iterations to be used to simulate realizations of the test statistic under the null hypothesis.
`ties` | logical; if `FALSE`, approximate p-values are computed by means of multiplier bootstrap; if `TRUE`, a boostrap adapted to the presence of ties in any of the coordinate samples of `x` is used; the default value of `NA` indicates that the presence/absence of ties will be checked for automatically.
`m` | if `m=0`, integration in the Cramér–von Mises statistic is carried out with respect to the empirical copula; if `m > 0`, integration is carried out with respect to the Lebesgue measure and `m` specifies the size of the integration grid.

### Details

More details are available in the references.

### Value

An object of `class` `htest` which is a list, some of the components of which are

`statistic` | value of the test statistic.
`p.value` | corresponding approximate p-value.

### References

Genest, C., G. Nešlehová, J. and Quessy, J.-F. (2012). Tests of symmetry for bivariate copulas. Annals of the Institute of Statistical Mathematics 64, 811–834.

Kojadinovic, I. and Yan, J. (2012). A nonparametric test of exchangeability for extreme-value and left-tail decreasing bivariate copulas. The Scandinavian Journal of Statistics 39:3, 480–496.

Kojadinovic, I. (2017). Some copula inference procedures adapted to the presence of ties. Computational Statistics and Data Analysis 112, 24–41, http://arxiv.org/abs/1609.05519.

### See Also

`radSymTest`, `exchEVTest`, `gofCopula`.

### Examples

    ## Data from an exchangeable copulas
    exchTest(rCopula(200,  gumbelCopula(3)))
    exchTest(rCopula(200, claytonCopula(3)))

    ## An asymmetric Khoudraji-Clayton copula
    kc <- khoudrajiCopula(copula1 = indepCopula(),
                          copula2 = claytonCopula(6),
                          shapes = c(0.4, 0.95))
    exchTest(rCopula(200, kc))

[Package copula version 0.999-18 Index]